#!/usr/bin/env python

import os
import requests
from optparse import OptionParser
import yaml

parser = OptionParser()
parser.add_option('-c', '--config', dest='config',
                  default='/etc/release-updater.yaml')
parser.add_option('-r', '--release', dest='release')
parser.add_option('-b', '--build', dest='build')
parser.add_option('-s', '--stage', dest='stage')
parser.add_option('-u', '--stage-url', dest='url')
parser.add_option('-v', '--value', dest='value')
parser.add_option('-d', '--description', dest='description')

(options, args) = parser.parse_args()

config = {
    'url': '',
    'application': '',
    'token': '',
}

try:
    config = yaml.load(open(options.config, 'r'))
except IOError:
    pass

release_web_url = os.environ.get(
    'RELEASE_WEB_URL',
    config['url']
)

release_web_url += '?application=%s&token=%s'

url = release_web_url % (
    options.release,
    options.build,
    config['application'],
    config['token'],
)
requests.post(url, data={
    'name': options.stage,
    'url': options.url,
    'value': options.value,
    'description': options.description,
}, verify=False)
