#!/usr/bin/env python

import os
import re
import sys

re_application = re.compile('^([a-z0-9\_\-\.]{4,})$', re.IGNORECASE)
re_token = re.compile('^([a-f0-9]{64,})$', re.IGNORECASE)

def validate_application(application):
    if application == '' or application == None:
        return False
    if not re.match(re_application, application):
        print "Application name should match pattern ^([a-z0-9_-\.]{4,})$"
        return False

    return True

def validate_token(token):
    if token == '' or token == None:
        return False
    if not re.match(re_token, token):
        print "Token value should match pattern ^([a-f0-9]{64,})$"
        return False

    return True

if __name__ == '__main__':
    if os.getuid() != 0:
        print "Script must be run as root"
        sys.exit(1)

    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "release.settings")

    from security.models import AccessToken

    (application, token) = (None, None)

    while not validate_application(application):
        application = raw_input('Application name: ')

    while not validate_token(token):
        token = raw_input('Token value: ')

    AccessToken(
        application=application,
        token=token,
    ).save()
