# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Group'
        db.create_table(u'plugins_catalog_group', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 3, 13, 0, 0), auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 3, 13, 0, 0), auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
        ))
        db.send_create_signal(u'plugins_catalog', ['Group'])

        # Adding model 'Plugin'
        db.create_table(u'plugins_catalog_plugin', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 3, 13, 0, 0), auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 3, 13, 0, 0), auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('version', self.gf('django.db.models.fields.CharField')(max_length=32)),
            ('compability', self.gf('django.db.models.fields.CharField')(max_length=32)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('binarylink', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('checksumlink', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('doclink', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('author', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal(u'plugins_catalog', ['Plugin'])

        # Adding unique constraint on 'Plugin', fields ['name', 'version']
        db.create_unique(u'plugins_catalog_plugin', ['name', 'version'])

        # Adding M2M table for field group on 'Plugin'
        db.create_table(u'plugins_catalog_plugin_group', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('plugin', models.ForeignKey(orm[u'plugins_catalog.plugin'], null=False)),
            ('group', models.ForeignKey(orm[u'plugins_catalog.group'], null=False))
        ))
        db.create_unique(u'plugins_catalog_plugin_group', ['plugin_id', 'group_id'])


    def backwards(self, orm):
        # Removing unique constraint on 'Plugin', fields ['name', 'version']
        db.delete_unique(u'plugins_catalog_plugin', ['name', 'version'])

        # Deleting model 'Group'
        db.delete_table(u'plugins_catalog_group')

        # Deleting model 'Plugin'
        db.delete_table(u'plugins_catalog_plugin')

        # Removing M2M table for field group on 'Plugin'
        db.delete_table('plugins_catalog_plugin_group')


    models = {
        u'plugins_catalog.group': {
            'Meta': {'object_name': 'Group'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 3, 13, 0, 0)', 'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 3, 13, 0, 0)', 'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'})
        },
        u'plugins_catalog.plugin': {
            'Meta': {'unique_together': "(('name', 'version'),)", 'object_name': 'Plugin'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'author': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'binarylink': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'checksumlink': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'compability': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 3, 13, 0, 0)', 'auto_now_add': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'doclink': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'group': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'plugins'", 'symmetrical': 'False', 'to': u"orm['plugins_catalog.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 3, 13, 0, 0)', 'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '32'})
        }
    }

    complete_apps = ['plugins_catalog']