# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'FuelVersion'
        db.create_table(u'plugins_catalog_fuelversion', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 7, 9, 0, 0), auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 7, 9, 0, 0), auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=16)),
        ))
        db.send_create_signal(u'plugins_catalog', ['FuelVersion'])

        # Deleting field 'Plugin.compability'
        db.delete_column(u'plugins_catalog_plugin', 'compability')

        # Adding M2M table for field compability on 'Plugin'
        db.create_table(u'plugins_catalog_plugin_compability', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('plugin', models.ForeignKey(orm[u'plugins_catalog.plugin'], null=False)),
            ('fuelversion', models.ForeignKey(orm[u'plugins_catalog.fuelversion'], null=False))
        ))
        db.create_unique(u'plugins_catalog_plugin_compability', ['plugin_id', 'fuelversion_id'])


    def backwards(self, orm):
        # Deleting model 'FuelVersion'
        db.delete_table(u'plugins_catalog_fuelversion')


        # User chose to not deal with backwards NULL issues for 'Plugin.compability'
        raise RuntimeError("Cannot reverse this migration. 'Plugin.compability' and its values cannot be restored.")
        # Removing M2M table for field compability on 'Plugin'
        db.delete_table('plugins_catalog_plugin_compability')


    models = {
        u'plugins_catalog.fuelversion': {
            'Meta': {'object_name': 'FuelVersion'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 7, 9, 0, 0)', 'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 7, 9, 0, 0)', 'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '16'})
        },
        u'plugins_catalog.group': {
            'Meta': {'object_name': 'Group'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 7, 9, 0, 0)', 'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 7, 9, 0, 0)', 'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'})
        },
        u'plugins_catalog.plugin': {
            'Meta': {'unique_together': "(('name', 'version'),)", 'object_name': 'Plugin'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'author': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'binarylink': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'checksumlink': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'compability': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'plugins'", 'symmetrical': 'False', 'to': u"orm['plugins_catalog.FuelVersion']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 7, 9, 0, 0)', 'auto_now_add': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'doclink': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'group': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'plugins'", 'symmetrical': 'False', 'to': u"orm['plugins_catalog.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 7, 9, 0, 0)', 'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '32'})
        }
    }

    complete_apps = ['plugins_catalog']