# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding index on 'Release', fields ['created']
        db.create_index(u'sheet_release', ['created'])

        # Adding index on 'Release', fields ['modified']
        db.create_index(u'sheet_release', ['modified'])

        # Adding index on 'Release', fields ['order']
        db.create_index(u'sheet_release', ['order'])

        # Adding index on 'Stage', fields ['created']
        db.create_index(u'sheet_stage', ['created'])

        # Adding index on 'Stage', fields ['modified']
        db.create_index(u'sheet_stage', ['modified'])

        # Adding index on 'Build', fields ['created']
        db.create_index(u'sheet_build', ['created'])

        # Adding index on 'Build', fields ['modified']
        db.create_index(u'sheet_build', ['modified'])


    def backwards(self, orm):
        # Removing index on 'Build', fields ['modified']
        db.delete_index(u'sheet_build', ['modified'])

        # Removing index on 'Build', fields ['created']
        db.delete_index(u'sheet_build', ['created'])

        # Removing index on 'Stage', fields ['modified']
        db.delete_index(u'sheet_stage', ['modified'])

        # Removing index on 'Stage', fields ['created']
        db.delete_index(u'sheet_stage', ['created'])

        # Removing index on 'Release', fields ['order']
        db.delete_index(u'sheet_release', ['order'])

        # Removing index on 'Release', fields ['modified']
        db.delete_index(u'sheet_release', ['modified'])

        # Removing index on 'Release', fields ['created']
        db.delete_index(u'sheet_release', ['created'])


    models = {
        u'sheet.build': {
            'Meta': {'object_name': 'Build'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'db_index': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'db_index': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'builds'", 'to': u"orm['sheet.Release']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '16'})
        },
        u'sheet.release': {
            'Meta': {'ordering': "('-order', '-created')", 'object_name': 'Release'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'db_index': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'db_index': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'order': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '3', 'db_index': 'True'})
        },
        u'sheet.stage': {
            'Meta': {'object_name': 'Stage'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'build': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'stages'", 'to': u"orm['sheet.Build']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'db_index': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'db_index': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'url': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['sheet']